org.wildfly.swarm.config.management.access.constraint.application_classification.type

## Class Classification<T extends Classification<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.access.constraint.application_classification.type.Classification<T>

-     public class Classification<T extends Classification<T>>
      extends Object

  Configuration of an application classification constraint.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Classification.ClassificationResources` Child mutators for Classification

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Classification(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `appliesTo(AppliesTo value)` Add the AppliesTo object to the list of subresources
    `T` | `appliesTo(AppliesToSupplier supplier)` Install a supplied AppliesTo object to the list of subresources
    `T` | `appliesTo(String childKey)` Create and configure a AppliesTo object to the list of subresources
    `T` | `appliesTo(String childKey, AppliesToConsumer consumer)` Create and configure a AppliesTo object to the list of subresources
    `T` | `appliesTos(List<AppliesTo> value)` Add all AppliesTo objects to this subresource
    `Boolean` | `configuredApplication()` Set to override the default as to whether the constraint is considered an application resource.
    `T` | `configuredApplication(Boolean value)` Set to override the default as to whether the constraint is considered an application resource.
    `Boolean` | `defaultApplication()` Whether targets having this application type constraint are considered application resources.
    `T` | `defaultApplication(Boolean value)` Whether targets having this application type constraint are considered application resources.
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Classification.ClassificationResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Classification

          public Classification(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Classification.ClassificationResources subresources()

    - #### appliesTos

          public T appliesTos(List<AppliesTo> value)

      Add all AppliesTo objects to this subresource
      Parameters:
        `value` - List of AppliesTo objects.
      Returns:
        this

    - #### appliesTo

          public T appliesTo(AppliesTo value)

      Add the AppliesTo object to the list of subresources
      Parameters:
        `value` - The AppliesTo to add
      Returns:
        this

    - #### appliesTo

          public T appliesTo(String childKey,
                             AppliesToConsumer consumer)

      Create and configure a AppliesTo object to the list of subresources
      Parameters:
        `key` - The key for the AppliesTo resource
        `config` - The AppliesToConsumer to use
      Returns:
        this

    - #### appliesTo

          public T appliesTo(String childKey)

      Create and configure a AppliesTo object to the list of subresources
      Parameters:
        `key` - The key for the AppliesTo resource
      Returns:
        this

    - #### appliesTo

          public T appliesTo(AppliesToSupplier supplier)

      Install a supplied AppliesTo object to the list of subresources

    - #### configuredApplication

          public Boolean configuredApplication()

      Set to override the default as to whether the constraint is considered an application resource.

    - #### configuredApplication

          public T configuredApplication(Boolean value)

      Set to override the default as to whether the constraint is considered an application resource.

    - #### defaultApplication

          public Boolean defaultApplication()

      Whether targets having this application type constraint are considered application resources.

    - #### defaultApplication

          public T defaultApplication(Boolean value)

      Whether targets having this application type constraint are considered application resources.

Copyright © 2017 JBoss by Red Hat. All rights reserved.